Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Typedefs
ustring.h File Reference
`#include "ftypes.h"`

## Classes
class | UString
| UTF-16 string class without buffer management. More...
class | UStringBuffer< maxSize >
| UTF-16 string with fixed buffer size. More...

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.

## Macros
#define | USTRING(asciiString)
#define | USTRINGSIZE(var)

## Typedefs
typedef UStringBuffer< 128 > | UString128
| 128 character UTF-16 string
typedef UStringBuffer< 256 > | UString256
| 256 character UTF-16 string

## Macro Definition Documentation

## ◆ USTRING

#define USTRING | ( |  | asciiString | ) |

Value:
Steinberg::UString256 (asciiString)
Steinberg::UString256
UStringBuffer< 256 > UString256
256 character UTF-16 string
Definition ustring.h:109

## ◆ USTRINGSIZE

#define USTRINGSIZE | ( |  | var | ) |

Value:
(sizeof (var) / sizeof (Steinberg::char16))
Steinberg::char16
char16_t char16
Definition ftypes.h:84
Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.